WebM VP8 Codec SDK: Data Fields - Variables

WebM VP8 Codec SDK

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- p
- r
- s
- t
- u
- v
- w
- x
- y

### - a -

- active_map : vpx_active_map
- align : vpx_codec_mmap
- alt_fb_idx : vpx_svc_parameters

### - b -

- base : vpx_codec_mmap
- bps : vpx_image
- buf : vpx_codec_cx_pkt , vpx_fixed_buf

### - c -

- cols : vpx_active_map , vpx_roi_map
- config : vpx_codec_ctx

### - d -

- d_h : vpx_image
- d_w : vpx_image
- data : vpx_codec_cx_pkt
- deblocking_level : vp8_postproc_cfg
- dec : vpx_codec_ctx
- decrypt_cb : vp8_decrypt_init
- decrypt_state : vp8_decrypt_init
- delta_lf : vpx_roi_map
- delta_q : vpx_roi_map
- den : vpx_rational
- distance_from_i_frame : vpx_svc_parameters
- dtor : vpx_codec_mmap
- duration : vpx_codec_cx_pkt

### - e -

- enc : vpx_codec_ctx
- err : vpx_codec_ctx
- err_detail : vpx_codec_ctx

### - f -

- flags : vpx_codec_cx_pkt , vpx_codec_mmap , vpx_svc_parameters
- fmt : vpx_image
- frame : vpx_codec_cx_pkt
- frame_type : vpx_ref_frame

### - g -

- g_error_resilient : vpx_codec_enc_cfg
- g_h : vpx_codec_enc_cfg
- g_lag_in_frames : vpx_codec_enc_cfg
- g_pass : vpx_codec_enc_cfg
- g_profile : vpx_codec_enc_cfg
- g_threads : vpx_codec_enc_cfg
- g_timebase : vpx_codec_enc_cfg
- g_usage : vpx_codec_enc_cfg
- g_w : vpx_codec_enc_cfg
- gld_fb_idx : vpx_svc_parameters

### - h -

- h : vpx_codec_dec_cfg , vpx_codec_stream_info , vpx_image , vpx_image_rect
- h_scaling_mode : vpx_scaling_mode
- height : vpx_svc_parameters

### - i -

- id : vpx_codec_mmap
- idx : vp9_ref_frame
- iface : vpx_codec_ctx
- img : vp9_ref_frame , vpx_ref_frame
- img_data : vpx_image
- img_data_owner : vpx_image
- init_flags : vpx_codec_ctx
- is_kf : vpx_codec_stream_info

### - k -

- kf_max_dist : vpx_codec_enc_cfg
- kf_min_dist : vpx_codec_enc_cfg
- kf_mode : vpx_codec_enc_cfg
- kind : vpx_codec_cx_pkt

### - l -

- layer : vpx_svc_parameters
- lst_fb_idx : vpx_svc_parameters

### - m -

- max_quantizer : vpx_svc_parameters
- min_quantizer : vpx_svc_parameters

### - n -

- name : vpx_codec_ctx
- noise_level : vp8_postproc_cfg
- num : vpx_rational

### - p -

- pad : vpx_codec_cx_pkt
- partition_id : vpx_codec_cx_pkt
- planes : vpx_image
- post_proc_flag : vp8_postproc_cfg
- priv : vpx_codec_ctx , vpx_codec_mmap
- psnr : vpx_codec_cx_pkt
- pts : vpx_codec_cx_pkt

### - r -

- raw : vpx_codec_cx_pkt
- rc_2pass_vbr_bias_pct : vpx_codec_enc_cfg
- rc_2pass_vbr_maxsection_pct : vpx_codec_enc_cfg
- rc_2pass_vbr_minsection_pct : vpx_codec_enc_cfg
- rc_buf_initial_sz : vpx_codec_enc_cfg
- rc_buf_optimal_sz : vpx_codec_enc_cfg
- rc_buf_sz : vpx_codec_enc_cfg
- rc_dropframe_thresh : vpx_codec_enc_cfg
- rc_end_usage : vpx_codec_enc_cfg
- rc_max_quantizer : vpx_codec_enc_cfg
- rc_min_quantizer : vpx_codec_enc_cfg
- rc_overshoot_pct : vpx_codec_enc_cfg
- rc_resize_allowed : vpx_codec_enc_cfg
- rc_resize_down_thresh : vpx_codec_enc_cfg
- rc_resize_up_thresh : vpx_codec_enc_cfg
- rc_target_bitrate : vpx_codec_enc_cfg
- rc_twopass_stats_in : vpx_codec_enc_cfg
- rc_undershoot_pct : vpx_codec_enc_cfg
- roi_map : vpx_roi_map
- rows : vpx_active_map , vpx_roi_map

### - s -

- samples : vpx_codec_cx_pkt
- self_allocd : vpx_image
- ss_number_layers : vpx_codec_enc_cfg
- sse : vpx_codec_cx_pkt
- static_threshold : vpx_roi_map
- stride : vpx_image
- sz : vpx_codec_cx_pkt , vpx_codec_mmap , vpx_codec_stream_info , vpx_fixed_buf

### - t -

- threads : vpx_codec_dec_cfg
- ts_layer_id : vpx_codec_enc_cfg
- ts_number_layers : vpx_codec_enc_cfg
- ts_periodicity : vpx_codec_enc_cfg
- ts_rate_decimator : vpx_codec_enc_cfg
- ts_target_bitrate : vpx_codec_enc_cfg
- twopass_stats : vpx_codec_cx_pkt

### - u -

- user_priv : vpx_image

### - v -

- v_scaling_mode : vpx_scaling_mode

### - w -

- w : vpx_codec_dec_cfg , vpx_codec_stream_info , vpx_image , vpx_image_rect
- width : vpx_svc_parameters

### - x -

- x : vpx_image_rect
- x_chroma_shift : vpx_image

### - y -

- y : vpx_image_rect
- y_chroma_shift : vpx_image